VMware Tanzu GemFire for VMs Release Notes

v1.14.0

Release Date: September 28, 2021

Features included in this release:

  • Jump upgrades to v1.14 are supported from the following versions:

    • 1.13.3
    • 1.12.3
    • 1.11.3
    • 1.10.7

    Upgrading to Tanzu GemFire 1.14 from any version other than those shown requires multiple steps. For example, if your current version is v1.10.5, you must first upgrade to v1.10.7, from which you can then jump upgrade to 1.14.

    If your application connects via the Services Gateway feature, there are additional prerequisites.

    For details on these and other upgrade issues, see Upgrading VMware Tanzu GemFire.

  • Tanzu GemFire supports VMware Tanzu Application Service for VMs versions 2.7, 2.8, 2.9, 2.10 and 2.11.

  • The Advanced configuration feature allows users to configure custom JVM options, GemFire properties, credentials, and Resource Manager properties. See Advanced Service Instance Configuration for more information.

Upgrade Note

Apache Geode v1.13.2, which was first supported in VMware Tanzu GemFire for VMs version 1.13.1, included a fix for issue GEODE-8799, providing a performance improvement by increasing the defaults for maximum number of pooled message processor threads and maximum partitioned region message processor threads.

If you are upgrading from a version of VMware Tanzu GemFire for VMs earlier than version 1.13.1, be sure to read the version-specific notes in the Upgrade instructions.